Subject: Re: Why do the rh_alloc functions return a pointer?

From: Timur Tabi <[email-masked]>
Date: Thu, 15 Feb 2007 14:34:23 -0600

Sylvain Munaut wrote:

> I talked about it with Panto on IRC a few days ago.
> 
> And he agrees that the function could be changed to user "unsigned long"
> instead of "void *".

Well, if there is a consensus that this should be changed, then I'll make the patch.

However, since the function prototype for all architectures is in 
include/asm-ppc/rheap.h, I'll need to change powerpc and ppc in the same patch, 
otherwise one of the two will break.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale